cc.funkemunky.api.handlers

## Class ForgeHandler

- java.lang.Object
- - cc.funkemunky.api.handlers.ForgeHandler

All Implemented Interfaces:
  org.bukkit.event.Listener, org.bukkit.plugin.messaging.PluginMessageListener

    public class ForgeHandler
    extends java.lang.Object
    implements org.bukkit.event.Listener, org.bukkit.plugin.messaging.PluginMessageListener

### Field Summary

Fields
`static boolean` `fromBungee`

### Constructor Summary

Constructors
Constructor and Description
`ForgeHandler()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static ModData` `getMods(org.bukkit.entity.Player player)`
`void` `onJoin(org.bukkit.event.player.PlayerJoinEvent event)`
`void` `onPluginMessageReceived(java.lang.String channel, org.bukkit.entity.Player player, byte[] data)`
`static void` `runBungeeModChecker(org.bukkit.entity.Player player, java.util.Map<java.lang.String,java.lang.String> modStrings)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### fromBungee

    public static boolean fromBungee

### Constructor Detail

#### ForgeHandler

    public ForgeHandler()

### Method Detail

#### getMods

    public static ModData getMods(org.bukkit.entity.Player player)

#### onJoin

    public void onJoin(org.bukkit.event.player.PlayerJoinEvent event)

#### onPluginMessageReceived

    public void onPluginMessageReceived(java.lang.String channel,
                                        org.bukkit.entity.Player player,
                                        byte[] data)

Specified by:
  `onPluginMessageReceived` in interface `org.bukkit.plugin.messaging.PluginMessageListener`

#### runBungeeModChecker

    public static void runBungeeModChecker(org.bukkit.entity.Player player,
                                           java.util.Map<java.lang.String,java.lang.String> modStrings)